package com.dahua.openpicdecode.lcopensdk;

import com.sun.jna.ptr.IntByReference;

public class LCOpenSdkSingleton {
	
	private LCOpenSdkSingleton(){}
	
	private static class LCOpenSdkSingletonHloder {
		public static final LCOpenSdkSingleton instance = new LCOpenSdkSingleton();
	}
	
	public static LCOpenSdkSingleton getInstance() {
		return LCOpenSdkSingletonHloder.instance;
	}

	public void initOpenApi(String host, int port, String appId, String appSecret){
		LCOpenSDK.INSTANCE.initOpenApi(host, port, "", appId, appSecret);
	}
	
	public int decryptPic(String picUrl, String encryptKey, byte[] pDestBufOut, IntByReference destBufLenOut, String token) {
		return LCOpenSDK.INSTANCE.DecryptPic(picUrl, encryptKey, pDestBufOut, destBufLenOut, token);
	}

	public int decryptPicTcm(String picUrl, String encryptKey, String deviceId, byte[] pDestBufOut, IntByReference destBufLenOut, String token) {
		return LCOpenSDK.INSTANCE.DecryptPicEx(picUrl, encryptKey, deviceId, pDestBufOut, destBufLenOut, token);
	}

}